// scripts/state/index.js

/**
 * Re-exports state management functions and types.
 */
export * from './player_state.js';
export * from './dynamic_props.js';
export * from './global_state.js';

/**
 * @typedef {import('./player_state.js').PlayerSelection} PlayerSelection
 * @typedef {import('./player_state.js').PlayerClipboard} PlayerClipboard
 * @typedef {import('./player_state.js').HistoryState} HistoryState
 * @typedef {import('./player_state.js').WeightedBlock} WeightedBlock
 * @typedef {import('./global_state.js').GlobalSettings} GlobalSettings
 */

