// scripts/constants/tool_ids.js

export const SELECTION_TOOL_ID = "bn:selection_wand";
export const COPY_TOOL_ID = "bn:copy";
export const CUT_TOOL_ID = "bn:cut";
export const PASTE_TOOL_ID = "bn:paste";
export const UNDO_TOOL_ID = "bn:undo";
export const REDO_TOOL_ID = "bn:redo";
export const EDIT_TOOL_ID = "bn:edit";
export const PALETTE_PICKER_TOOL_ID = "bn:palette_picker";
export const MASK_PICKER_TOOL_ID = "bn:mask_picker";
export const BRUSH_TOOL_ID = "bn:brush";
export const PAINT_BRUSH_TOOL_ID = "bn:paint_brush";
export const HEIGHT_BRUSH_TOOL_ID = "bn:height_brush";
export const LINE_TOOL_ID = "bn:line_tool";
export const FOLIAGE_BRUSH_TOOL_ID = "bn:foliage_brush";
export const SETTINGS_TOOL_ID = "bn:bwe_settings";
export const PATH_TOOL_ID = "bn:path_tool";

/**
 * A Set containing all WorldEdit tool item IDs for efficient checking.
 */
export const WORLDEDIT_TOOL_IDS = new Set([
    SELECTION_TOOL_ID,
    COPY_TOOL_ID,
    CUT_TOOL_ID,
    PASTE_TOOL_ID,
    UNDO_TOOL_ID,
    REDO_TOOL_ID,
    EDIT_TOOL_ID,
    PALETTE_PICKER_TOOL_ID,
    MASK_PICKER_TOOL_ID,
    BRUSH_TOOL_ID,
    PAINT_BRUSH_TOOL_ID,
    HEIGHT_BRUSH_TOOL_ID,
    LINE_TOOL_ID,
    FOLIAGE_BRUSH_TOOL_ID,
    SETTINGS_TOOL_ID,
    PATH_TOOL_ID
]);
